import re


class Environment:
    def __init__(self):
        self.NODE_TYPE = ""
        self.PORT = ""
        self.LOGIN = ""
        self.PASSWORD = ""
        self.NODE_ID = ""
        self.ROOT_CERT_PATH = ""


def find_environment(file_path):
    env = Environment()
    patterns = {
        'NODE_TYPE': re.compile(r'address\s+([\w.-]+)\.iqnergy\.com:(\d+)'),
        'LOGIN': re.compile(r'remote_username\s+(\S+)'),
        'PASSWORD': re.compile(r'remote_password\s+(\S+)'),
        'NODE_ID': re.compile(r'connection wb_(IQ\d{6,})_'),
        'ROOT_CERT_PATH': re.compile(r'bridge_cafile\s+(?:["\']?(/(?:[\w\s.-]+/)*[\w\s.-]+)["\']?)\s*$')
    }

    with open(file_path, 'r', encoding='utf-8') as file:
        for line in file:
            for key, pattern in patterns.items():
                match = pattern.search(line)
                if match and not getattr(env, key):
                    if key == 'NODE_TYPE':
                        env.NODE_TYPE = match.group(1)
                        env.PORT = match.group(2)
                    else:
                        setattr(env, key, match.group(1).strip())
    return env

# result = find_environment("/mnt/data/etc/mosquitto/conf.d/bridge.conf")
# print(vars(result))
